> ## Documentation Index
> Fetch the complete documentation index at: https://geonode.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Whitelisted IPs

> Removes up to 10 IP addresses per request.




## OpenAPI

````yaml api-reference/ref/remove-whitelist-ip.yaml delete /configuration/active/whitelisted-ips
openapi: 3.0.3
info:
  title: Active Whitelisted IPs API
  version: 1.0.0
  description: >
    API to remove whitelisted IP addresses.


    **Example Request:**

    ```sh

    curl -X DELETE
    "https://app-api.geonode.com/api/configuration/active/whitelisted-ips" \

    --user "username:password" \

    -H "Content-Type: application/json" \

    -d '{"ips": [{"ip": "161.142.148.148"}, {"ip": "161.142.148.141"}]}'

    ```
servers:
  - url: https://app-api.geonode.com/api
security: []
paths:
  /configuration/active/whitelisted-ips:
    delete:
      summary: Remove Whitelisted IPs
      description: |
        Removes up to 10 IP addresses per request.
      requestBody:
        description: >-
          A JSON object containing a list of IP addresses to be removed. Only
          the highest 10 IPs can be removed at a time.
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                ips:
                  type: array
                  description: List of IP objects to remove.
                  items:
                    type: object
                    properties:
                      ip:
                        type: string
                        description: The IP address to be removed from the whitelist.
                        example: 161.142.148.121
              example:
                ips:
                  - ip: 161.142.148.121
                  - ip: 161.142.148.147
                  - ip: 161.142.148.148
                  - ip: 161.142.148.141
                  - ip: 161.142.148.142
                  - ip: 161.142.148.143
                  - ip: 161.142.148.144
                  - ip: 161.142.148.145
                  - ip: 161.142.148.146
                  - ip: 161.142.148.149
      responses:
        '200':
          description: Successfully removed whitelisted IPs.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: A list of whitelisted IPs that have been removed.
                    items:
                      type: object
                      properties:
                        ip:
                          type: string
                          description: The IP address that was removed from the whitelist.
                          example: 161.142.148.141
                        description:
                          type: string
                          description: The user-defined label for the removed IP.
                          example: mac-m1
                        _id:
                          type: string
                          description: A unique identifier assigned to the removed IP.
                          example: 67a875f693afe58d40f2e93d
                  message:
                    type: object
                    description: Provides status details about the removal operation.
                    properties:
                      title:
                        type: string
                        description: >-
                          A short message indicating the status of the
                          operation.
                        example: Updated
                      body:
                        type: string
                        description: A detailed message about the removal operation.
                        example: Whitelisted IPs removed.
                      variant:
                        type: string
                        description: The status variant indicating success or failure.
                        example: success
        '400':
          description: Bad Request - Invalid input.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message.
                    example: Invalid input data.
        '401':
          description: Unauthorized - Invalid Credentials.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message.
                    example: Unauthorized - Invalid credentials.
      security:
        - basicAuth: []
      x-codeSamples:
        - lang: cURL
          source: >
            curl -X DELETE
            "https://app-api.geonode.com/api/configuration/active/whitelisted-ips"
            \

            -H "Authorization: Basic {{credentials}}" \

            -H "Content-Type: application/json" \

            -d '{"ips": [{"ip": "161.142.148.148"}, {"ip": "161.142.148.141"}]}'
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````